execute as @e[tag=info] at @s run tag @a[distance=1.1..] remove infod
execute as @e[tag=info] at @s run tellraw @a[distance=..1,tag=!infod] ["",{"text":"Welcome to World's Edge, a Minecraft Parkour Map by CrazyCowMM.\nThis map features many special parkour mechanics that you will learn in the levels. Even so a breif explanation of each will be given here.\n\n"},{"text":"Wall Climbing\n","color":"gray","bold":true},{"text":"You can climb up light gray walls by looking at them and jumping.\n\n"},{"text":"Boost Blocks\n","color":"gray","bold":"true"},{"text":"Jump on these green blocks to gain a boost.\n\n"},{"text":"Wall Running\n","color":"gray","bold":true},{"text":"You can wall run on purple blocks by running next to them.\n\n"},{"text":"Wall Bars\n","color":"gray","bold":true},{"text":"You can grab onto these handy bars and gain a jump boost!\n\n"},{"text":"Roof Rails\n","color":"gray","bold":true},{"text":"You can grab onto these roof bars to hang over gaps.\n\n"},{"text":"Press your chat key and scroll to read!","color":"green","bold":true}]
execute as @e[tag=info] at @s run tag @a[distance=..1] add infod

execute as @e[tag=creator] at @s run tag @a[distance=1.1..] remove creatord
execute as @e[tag=creator] at @s run tellraw @a[distance=..1,tag=!creatord] ["",{"text":"World's Edge was Created by CrazyCowMM. \n\n","bold":"true"},{"text":"Website\n","color":"dark_gray","clickEvent":{"action":"open_url","value":"http://crazycowmm.com"}},{"text":"Twitter\n","color":"dark_blue","clickEvent":{"action":"open_url","value":"https://twitter.com/crazycowmm"}},{"text":"Youtube\n","color":"dark_red","clickEvent":{"action":"open_url","value":"https://youtube.com/crazycowmm"}}]
execute as @e[tag=creator] at @s run tag @a[distance=..1] add creatord

execute as @e[tag=rules] at @s run tag @a[distance=1.1..] remove rulesd
execute as @e[tag=rules] at @s run tellraw @a[distance=..1,tag=!rulesd] ["",{"text":"Just have fun playing the map!"}]
execute as @e[tag=rules] at @s run tag @a[distance=..1] add rulesd

execute as @e[tag=start] at @s run clear @a[distance=..1]
execute as @e[tag=start] at @s run scoreboard players set @a[distance=..1] lvl 0
execute as @e[tag=start] at @s run scoreboard players set @a[distance=..1] stoggle 1
execute as @e[tag=start] at @s run give @a[distance=..1] flint{display:{Name:'{"text":"Seeing Eye"}',Lore:['{"text":"When thrown on a checkpoint, the checkpoint will inherit your rotation","color":"dark_green"}','{"text":"Basically throw it to rotate your spawn location to the direction you want","color":"dark_green"}']}}
execute as @e[tag=start] at @s run give @a[distance=..1] carrot_on_a_stick{CustomModelData:3,display:{Name:'{"text":"Teleporter","italic":false}',Lore:['{"text":"Right click to teleport to the last checkpoint!","color":"dark_green"}']}}
execute as @e[tag=start] at @s run give @a[distance=..1] carrot_on_a_stick{CustomModelData:1,display:{Name:'{"text":"Sneaky","italic":false}',Lore:['{"text":"Right click to enable sneak mode!","color":"dark_green"}','{"text":"Forces you to sneak to use any special blocks.","color":"dark_green"}']}}
execute as @e[tag=start] at @s run tp @a[distance=..1] -1.5 6 1009.5 0 0